import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class ActionTest
{
   public static void main(String[] args)
   {
      JFrame frame = new JFrame();

      final int FIELD_WIDTH = 20;
      final JTextField textField = new JTextField(FIELD_WIDTH);
      textField.setText("Click a button!");

      JButton helloButton = new JButton("Say Hello");

      helloButton.addActionListener(new
         ActionListener()
         {
            public void actionPerformed(ActionEvent event)
            {
               textField.setText("Hello, World!");
            }
         });


      JButton goodbyeButton = new JButton("Say Goodbye");

      goodbyeButton.addActionListener(new
         ActionListener()
         {
            public void actionPerformed(ActionEvent event)
            {
               textField.setText("Goodbye, World!");
            }
         });

      Container contentPane = frame.getContentPane();
      contentPane.setLayout(new FlowLayout());

      contentPane.add(helloButton);
      contentPane.add(goodbyeButton);
      contentPane.add(textField);

      frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      frame.pack();
      frame.setVisible(true);
   }
}
